### Method

# EDataServer SourceSecurity get_method

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_security_get_method (
      ESourceSecurity* extension
    )

#### Description [src]

Returns the method used to establish a secure network connection to a remote account. There are no pre-defined method names; backends are free to set this however they wish. If a secure connection is not desired, the convention is to set `ESourceSecurity:method` to “none”.

Available since: 3.6

Gets property | `EDataServer.SourceSecurity:method`

#### Return value

Type: `const gchar*`

The method used to establish a secure network connection.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.